<?php

namespace App\Controller\Case;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Response;

class GeoapifyController extends AbstractController
{
    #[Route('/api/autocomplete-address/{searchText}', name: 'app_api_autocomplete_address')]
    public function autocompleteAddress(string $searchText): Response
    {
        $params = [
            'text' => $searchText,
            'format' => 'json',
            'apiKey' => $_ENV['GEOAPIFY_API_KEY']
        ];

        $url = "https://api.geoapify.com/v1/autocomplete?".http_build_query($params);
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $result = curl_exec($ch);
        curl_close($ch);

        return $this->json($result);
    }
}